function [Conditions] = createequations_RightSide(Xn,ZeroIndex)
% Function to create right side of equations to identify mu and lambdas

Xdev = Xn - mean(Xn);
nObs = size(Xn,1);

mu = zeros(length(ZeroIndex),nObs);
lambda = zeros(length(ZeroIndex),nObs);
Conditions = zeros(length(ZeroIndex)+1,2*nObs);

for i = 1:size(ZeroIndex,1)
m =ZeroIndex(i,1);
n =ZeroIndex(i,2);

mu(i,m) = -1;
mu(i,n) = -1;

lambda(i, m) = -Xdev(n);
lambda(i, n) = -Xdev(m);



Conditions(i,m) = mu(i,m);
Conditions(i,n) = mu(i,n);
Conditions(i,m+nObs) = lambda(i, m);
Conditions(i,n+nObs) = lambda(i, n);


end

end