function [GG,yhat,uhat] = estimate_gamma(y,Xn,ZUSA,int1,int2)

 

iObs = size(ZUSA,1);
nObs = size(Xn,1);


finalY = demean(y);
if nargin > 3
int1 = demean(int1);
int2 = demean(int2);
end

Xdev = Xn - nanmean(Xn);

% Estimation of Gammas
UtimesU = zeros(nObs,nObs,iObs);
for indice = 1:iObs
 
    y_i = finalY(:,indice);
    if nargin > 3
        X_dirty = [Xdev int1(:,indice) int2(:,indice)];
    else
        X_dirty = Xdev;
    end
    
    DATA = [y_i X_dirty];
    DATA(any(isnan(DATA), 2), :) = [];
    
    y_clean = DATA(:,1);
    X_clean = DATA(:,2:end);
    
    if length(DATA) < 5
        uhat_i = nan(nObs,1);
    else
    Gamma = (X_clean'*X_clean)\X_clean'*y_clean;
    uhat_i = y_i - X_dirty*Gamma ;
    
    yhat(:,indice) = X_dirty*Gamma;
    
    
    end
    
    
    UtimesU(:,:,indice) = uhat_i*uhat_i';
    
    uhat(:,indice) = uhat_i;
    
end

GG = nanmean(UtimesU,3);


end