function data = read_excel_data()
T = readtable('data.xlsx');

y = T.("y");
X = T.("X");
Z = T.("Z");

primary = T.("benchmark_country");

nObs = length(unique(T.("country_name")));
iObs = length(unique(T.("industry_code")));

control_1 = T.("control_1");
control_2 = T.("control_2");

primary = transpose(reshape(primary,[iObs,nObs]));

primary_row = find(primary(:,1)==1);

y = transpose(reshape(y,[iObs,nObs]));
X = transpose(reshape(X,[iObs,nObs]));
Z = transpose(reshape(Z,[iObs,nObs]));

control_1 = transpose(reshape(control_1,[iObs,nObs]));
control_2 = transpose(reshape(control_2,[iObs,nObs]));


% Move primary country to top

y([1,primary_row],:) = y([primary_row,1],:);
X([1,primary_row],:) = X([primary_row,1],:);
control_1([1,primary_row],:) = control_1([primary_row,1],:);
control_2([1,primary_row],:) = control_2([primary_row,1],:);



non_empty_ctry = isnan(X(:,1)) == 0;

X = X(non_empty_ctry,1);
control_1 = control_1(non_empty_ctry,:);
control_2 = control_2(non_empty_ctry,:);


data.Xn = X;
data.ZUSA = transpose(Z(1,:));
data.y = y(non_empty_ctry,:);
data.control_1 = control_1;
data.control_2 = control_2;



data.control_3 = zeros(size(data.y));
data.control_4 = zeros(size(data.y));

if  sum(T.Properties.VariableNames == "Control_3") == 1
    control_3 = T.("Control_3");

    control_3 = transpose(reshape(control_3,[iObs,nObs]));
    control_3([1,primary_row],:) = control_3([primary_row,1],:);
	data.control_3 = control_3(non_empty_ctry,:);

end    


if  sum(T.Properties.VariableNames == "Control_4") == 1
    control_4 = T.("Control_4");
    
    control_4 = transpose(reshape(control_4,[iObs,nObs]));
    control_4([1,primary_row],:) = control_4([primary_row,1],:);
    data.control_4 = control_4(non_empty_ctry,:);

end



end




