%Study of the distribution of distances when x are generated from a
%specific distribution
%Number of aggregated sets of distances for a given N
S=50;
disp('Table 1 Column 1')
disp('Average distance between xn across all country pairs')
disp(' ')



%%%%%%%%%%%% %The uniform distribution %%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
N = 150;

V = [1];
Results = zeros(length(V), 1);

Avg_distance=zeros(S,1);
SD=zeros(S,1);

for j=1:length(V)
rng(1)
    for i=1:S
        x = sort( V(j)*rand(N,1));
        temp = repmat(x, 1, N);
        D = abs(temp-temp');

    %v ector of all distances
        temp2 = reshape(triu(D,1), [N^2,1]);
        Avg_distance(i)= mean(temp2(temp2~=0));
        SD(i) = std(temp2(temp2~=0));
    end
Results(j) = mean(Avg_distance);
end

disp('Uniform Distribution:')
disp(Results)

%%%%%%%%%%%% %The normal distribution %%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
N = 150;
V = [1];
Results = zeros(length(V), 1);

Avg_distance=zeros(S,1);
SD=zeros(S,1);
for j=1:length(V)
rng(1)
    for i=1:S
        x = sort( normrnd(0,V(j),N,1));
        temp = repmat(x, 1, N);
        D = abs(temp-temp');

    %v ector of all distances
        temp2 = reshape(triu(D,1), [N^2,1]);
        Avg_distance(i)= mean(temp2(temp2~=0));
        SD(i) = std(temp2(temp2~=0));
    end
Results(j) = mean(Avg_distance);
end

disp('Normal Distribution:')

disp(Results)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%% %The exponential distribution %%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
N = 150;

V = [1];
Results = zeros(length(V), 1);

Avg_distance=zeros(S,1);
SD=zeros(S,1);

for j=1:length(V)
rng(1)
    for i=1:S
        x = sort( exprnd(V(j),N,1));
        temp = repmat(x, 1, N);
        D = abs(temp-temp');

    %v ector of all distances
        temp2 = reshape(triu(D,1), [N^2,1]);
        Avg_distance(i)= mean(temp2(temp2~=0));
        SD(i) = std(temp2(temp2~=0));
    end
Results(j) = mean(Avg_distance);
end

disp('Exponential Distribution:')
disp(Results)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





