% Requires files Find_rank.m and Find_switching_point.m

%Number of draws of the data
S = 50;

%N is the number of units in the panel
N = 150;

%%%%%%%%%%%%%%%%%%%%%%%%% Normal Distribution %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
V = [1];
%Matrices to store the results
Results = zeros(S,2);
Stats = [];

for l=1:length(V)
    rng(1)
    for k=1:S

        %Normal distribution
        x = sort( normrnd(0,V(l),N,1));
        x = x-mean(x);

        [t1,t2] = Find_switching_point(N,x);
        Results(k,:) = [t1,t2];
    end

%Statistics based on S draws for a given distribution
Stats = [Stats; mean(Results)];
end
Stats_normal = Stats;

%%%%%%%%%%%%%%%%%%%%%%% Exponential Distribution %%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Lambda = [1];
Results = zeros(S,2);
Stats = [];

for l=1:length(Lambda)
rng(1)
for k=1:S

%Exponential distribution
x = sort( exprnd(Lambda(l),N,1));

x = x-mean(x);
[t1,t2] = Find_switching_point(N,x);
Results(k,:) = [t1,t2];
end

%Statistics based on S draws for a given distribution
Stats = [Stats; mean(Results)];
end
Stats_exponential= Stats;

%%%%%%%%%%%%%%%%%%%%%%% Uniform Distribution %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%V=[1];
V = [1];
%Matrices to store the results
Results = zeros(S,2);
Stats = [];

for l=1:length(V)
rng(1)
for k=1:S

%Uniform distribution
x = sort( V(l)*rand(N,1));

x = x-mean(x);
[t1,t2] = Find_switching_point(N,x);
Results(k,:) = [t1,t2];
end

%Statistics based on S draws for a given distribution
Stats = [Stats; mean(Results)];
end
Stats_uniform = Stats;



disp("Table 1 Column 2:")
disp("Maximum threshold tau allowing identification")
disp(" ")

disp('Uniform Distribution:')

disp(Stats_uniform(1))

disp('Normal Distribution:')

disp(Stats_normal(1))

disp('Exponential Distribution:')

disp(Stats_exponential(1))



disp("Table 1 Column 3:")
disp("Country pairs n<>m with unrestricted rho relative to total number of country pairs at tau max")
disp(" ")


disp('Uniform Distribution')

disp(1 - Stats_uniform(2))

disp('Normal Distribution')

disp(1 - Stats_normal(2))

disp('Exponential Distribution')

disp(1 - Stats_exponential(2))

