function [y1, y2] = Find_switching_point(N,x)

%Matrix of distances between elements of x
temp = repmat(x, 1, N);
D = abs(temp-temp');

%vector of all distances
temp2 = reshape(triu(D,1), [N^2,1]);
D_vector = sort(temp2(temp2~=0));

%Cutoff distance (index with) for the equation to be included
%s = 23177; (for N=250)
s = ceil(0.1*N^2);

%Steps to get the exact switching point
while Find_rank(N,x,D,D_vector(s))==2*N
s=min(s+1000, length(D_vector));
end
s = s-1000;

while Find_rank(N,x,D,D_vector(s))==2*N
s=s+100;
end
s = s-100;

while Find_rank(N,x,D,D_vector(s))==2*N
s=s+10;
end
s = s-10;

%Step to get the exact switching point
while Find_rank(N,x,D,D_vector(s))==2*N
s=s+1;
end

%The biggest d such that A has full rank (if D is too big, then we have to few restrictions)
[t1,t2] = Find_rank(N,x,D,D_vector(s-1));
y1 = D_vector(s-1);
y2 = t2;
end