
function betaEst = Interact_Replic(y,Xn,ZUSA,int1,int2,int3,int4)
% Estimate Interaction Effect between Xn and ZUSA when regressing on y

xz= Xn*ZUSA';

Y = demean(y);
XZ = demean(xz);

Regs = XZ(:);



if nargin > 3
    if sum(int3) == 0
    	n_controls = 2;
    elseif sum(int4) == 0
        n_controls = 3;
    elseif sum(int4)~= 0
        n_controls = 4;
    end

int1 = demean(int1);
int2 = demean(int2);
int3 = demean(int3);
int4 = demean(int4);

Regs = [XZ(:) int1(:) int2(:) int3(:) int4(:)];

Regs = Regs(:,1:1+n_controls);

end



L=fitlm(Regs,Y(:),'Intercept',false);
Coeff = table2array(L.Coefficients);
betaEst = Coeff(1);

end