    function First  = SaveFirst(param,betaInt,omegahat,sigma,Xn,ZUSA,RemoveIndex,ZeroIndex)
% Function to save parameters in initial estimation in Matlab Structures


Xdev = Xn-mean(Xn);
X = [ones(length(Xn),1) Xn];
withUS = 2:length(Xn);


theta = param(1);
First.param = param;

q = sum((omegahat(withUS,1)).*(Xdev(withUS)))/sum(Xdev(withUS).^2);

First.bracket = [q/((theta+Xn(1))*var(ZUSA));omegahat(1,1)/((theta+Xn(1))^2*var(ZUSA))];

PHI = q/((theta+Xn(1))*var(ZUSA)) - omegahat(1,1)/((theta+Xn(1))^2*var(ZUSA));

First.PHI = PHI;

First.BetaInt = betaInt;

First.beta(1,1)=  (betaInt + (betaInt^2 - 4*PHI)^.5)/2;
First.beta(2,1)=  (betaInt - (betaInt^2 - 4*PHI)^.5)/2;

if imag(First.beta(1)) ~= 0
    First.beta(:) = NaN;
end

First.sigmaUSA = omegahat(1,1)./((First.beta.^2)*(Xn(1)+theta)^2);

X = X(withUS,:);

First.AA= (X'*X)\X'*(sigma(withUS,1));
First.BB = (X'*X)\X'*(sigma(withUS,1).*(Xn(withUS)));

First.delta = First.BB(2) + First.AA(2)*theta;


First.kappa = max(First.beta(1,1) /(First.beta(1,1) + First.beta(2,1)),First.beta(2,1) /(First.beta(1,1) + First.beta(2,1)));

end